Bug 429018 - with compositing manager enabled, gnome terminals are drawn improperly
with compositing manager enabled, gnome terminals are drawn improperly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 15:07 EST by Thomas J. Baker
Modified: 2009-07-14 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:33:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (374.40 KB, image/png)
2008-01-16 15:07 EST, Thomas J. Baker
no flags Details
/etc/X11/xorg.conf (620 bytes, text/plain)
2008-02-06 15:26 EST, Thomas J. Baker
no flags Details
/var/log/Xorg.0.log (35.91 KB, text/plain)
2008-02-06 15:27 EST, Thomas J. Baker
no flags Details
/var/log/Xorg.0.log with no xorg.conf file (39.54 KB, text/plain)
2008-02-06 15:32 EST, Thomas J. Baker
no flags Details

  None (edit)
Description Thomas J. Baker 2008-01-16 15:07:38 EST
With gnome-terminal-2.21.5-1.fc9.i386, xorg-x11-drv-nv-2.1.6-3.fc9.i386,
metacity-2.21.5-2.fc9.i386, and compositing_manager enabled in metacity, new
gnome-terminals are drawn improperly. Easiest to probably look at the included
image. Disabling the compositing_manager fixes it. It doesn't seem to matter
what the setting in gnome-terminal for Background is set to. At least none and
transparent behave the same.
Comment 1 Thomas J. Baker 2008-01-16 15:07:38 EST
Created attachment 291882 [details]
screenshot
Comment 2 Søren Sandmann Pedersen 2008-01-16 23:11:10 EST
This is a bug in the nvidia driver. You can work around it by adding 

        Option      "XAANoOffscreenPixmaps"

to /etc/X11/xorg.conf.

Comment 3 Thomas J. Baker 2008-01-17 11:30:18 EST
Yes, that makes it work much better. Since you handled that one so easy, what
about when I move windows and there's no visual cue (no opaque move, no outline
even) of the moving window, just the cursor? NV bug or metacity?
Comment 6 Søren Sandmann Pedersen 2008-01-31 22:19:05 EST
In general, the metacity compositor is not really supported - it's only a hidden
a configuration option for the reason. 

I don't know whether this is a bug in the NV driver or in metacity. My guess
would be that it's a metacity bug. Feel free to report it to metacity upstream. 
Comment 7 Søren Sandmann Pedersen 2008-02-01 15:31:46 EST
Sorry, I confused myself. The bug here is:

On the nv driver, software rendering doesn't work on drawables that are in video
memory. It is a real video driver bug that I have seen myself on a G80 card. 
Comment 8 Matěj Cepl 2008-02-01 18:53:16 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 9 Thomas J. Baker 2008-02-06 15:26:37 EST
Created attachment 294139 [details]
/etc/X11/xorg.conf

/etc/X11/xorg.conf
Comment 10 Thomas J. Baker 2008-02-06 15:27:42 EST
Created attachment 294140 [details]
/var/log/Xorg.0.log
Comment 11 Thomas J. Baker 2008-02-06 15:32:35 EST
Created attachment 294141 [details]
/var/log/Xorg.0.log with no xorg.conf file
Comment 12 Thomas J. Baker 2008-02-06 15:33:21 EST
With no xorg.conf file, the original bug of badly drawn gnome-terminals is back
and the resizing issue is still present.
Comment 13 Bug Zapper 2008-05-14 00:47:32 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-06-09 19:23:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 13:33:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.